/*

*/
#include <stdio.h>
#include <omp.h>
#include <windows.h>

int main(int argc, char** argv)
{
   int numberOfCores   = omp_get_num_procs();
   int maxNumberOfThreads = omp_get_max_threads();
   int numberOfThreads = omp_get_num_threads();
   printf("numberOfCores = %d, maxNumberOfThreads = %d, numberOfThreads = %d\n",
           numberOfCores, maxNumberOfThreads, numberOfThreads);

   #pragma omp parallel num_threads(2)  // try changing 2 to 3
   {
      #pragma omp sections
      {
         #pragma omp section
         {
            int tid = omp_get_thread_num();
            printf("OpenMP parallel hello from thread %d.\n", tid);
            Sleep( 5000 ); // 5 seconds
         }
         #pragma omp section
         {
            int tid = omp_get_thread_num();
            printf("OpenMP parallel hello from thread %d.\n", tid);
            Sleep( 5000 ); // 5 seconds
         }
         #pragma omp section
         {
            int tid = omp_get_thread_num();
            printf("OpenMP parallel hello from thread %d.\n", tid);
            Sleep( 5000 ); // 5 seconds
         }
      }
   }

   return 0;
}