/*

*/
#include <stdio.h>
#include <omp.h>
#include <windows.h>

int doWork()
{
   int tid = omp_get_thread_num();
   printf("doWork() getting ready to work with thread %d.\n", tid);

   #pragma omp sections
   {
      #pragma omp section
      {
         int tid = omp_get_thread_num();
         printf("Hello from thread %d over here.\n", tid);
         Sleep( 0 );
      }

      #pragma omp section
      {
         int tid = omp_get_thread_num();
         printf("Hello from thread %d over there.\n", tid);
      }

      #pragma omp section
      {
         int tid = omp_get_thread_num();
         printf("Hello from thread %d way over there.\n", tid);
      }
   }

   return tid;
}


int main(int argc, char** argv)
{
   int result;

   #pragma omp parallel num_threads(2) // fewer threads here than there are sections above???
      result = doWork();

   printf("result = %d\n", result);

   return 0;
}