/*

*/
#include <stdio.h>
#include <omp.h>
//#include <windows.h>

int doWork()
{
   int tid = omp_get_thread_num();
   printf("doWork() getting ready to work with thread %d.\n", tid);

   #pragma omp parallel sections num_threads(2)
   {
      #pragma omp section
      {
         int tid = omp_get_thread_num();
         printf("Hello from thread %d over here.\n", tid);
         //Sleep( 0 );
      }

      #pragma omp section
      {
         int tid = omp_get_thread_num();
         printf("Hello from thread %d over there.\n", tid);
      }
   }

   return tid;
}


int main(int argc, char** argv)
{
   int result;

   result = doWork();

   printf("result = %d\n", result);

   #pragma omp parallel num_threads(2)
      result = doWork();  // the value of result is a race condition

   printf("result = %d\n", result);

   return 0;
}