/*

*/
#include <stdio.h>
#include <omp.h>

int doWork(int n)
{
   int i;
   int tid = omp_get_thread_num();
   printf("doWork() getting ready to work with thread %d.\n", tid);

   //for (i = 0; i < n; i++)
   //   printf("i = %d, tid = %d\n", i, omp_get_thread_num());

   return tid;
}


int main(int argc, char** argv)
{
   int result;

   result = doWork(4);

   printf("The result = %d\n", result);

   #pragma omp parallel num_threads(2)
   result = doWork(5);  // the value of result is a race condition

   printf("The result = %d\n", result);

   return 0;
}